RNAPKPLEX(1)

NAME
RNAPKplex - manual page for RNAPKplex 2.4.11

SYNOPSIS
RNAPKplex [OPTIONS]...

DESCRIPTION
RNAPKplex 2.4.11

predicts RNA secondary structures including pseudoknots

Computes RNA secondary structures by first making two sequence intervals accessible and unpaired using the algorithm of RNAplfold and then calculating the energy of the interaction of those two intervals. The algorithm uses O(n^2*w^4) CPU time and O(n*w^2) memory space. The algorithm furthermore always considers dangle=2 model.

It also produces a PostScript file with a plot of the pseudoknot-free secondary structure graph, in which the bases forming the pseuodknot are marked red. Sequences are read in a simple text format where each sequence occupies a single line. Each sequence may be preceded by a line of the form
> name
to assign a name to the sequence. If a name is given in the input, the
 PostScript file "name.ps" is produced for the structure graph. Other- wise the file name defaults to PKplex.ps. Existing files of the same name will be overwritten. The input format is similar to fasta except that even long sequences may not be interrupted by line breaks, and the header lines are optional. The program will continue to read new sequences until a line consisting of the single character @ or an end of file condition is encountered.

-h, --help
    Print help and exit

--detailed-help
    Print help, including all details and hidden options, and exit

-V, --version
    Print version and exit

-c, --cutoff=FLOAT
    Report only base pairs with an average probability > cutoff in the dot plot

    (default=`0.01')

-T, --temp=DOUBLE
    Rescale energy parameters to a temperature of temp C. Default is 37C.

-4, --noTetra
    Do not include special stabilizing energies for certain tetra-loops. Mostly for testing.

    (default=off)

--noLP
    Produce structures without lonely pairs (helices of length 1).

    (default=off)

    For partition function folding this only disallows pairs that can only occur isolated. Other pairs may still occasionally occur as helices of length 1.

--noGU
    Do not allow GU pairs

    (default=off)

--noClosingGU
    Do not allow GU pairs at the end of helices

    (default=off)

--noconv
    Do not automatically substitude nucleotide "T" with "U"

    (default=off)

--nsp=STRING
    Allow other pairs in addition to the usual AU,GC,and GU pairs.

    (default=`empty')

    Its argument is a comma separated list of additionally allowed pairs. If the first character is a "-" then AB will imply that AB and BA are allowed pairs. e.g. RNAfold -nsp -GA will allow GA and AG pairs. Nonstandard pairs are given 0 stacking energy.

-e, --energyCutoff=DOUBLE
    Energy cutoff or pseudoknot initiation cost. Minimum energy gain of a pseudoknot interaction for it to be returned. Pseudoknots with smaller energy gains are rejected.

    (default=`-8.10')

-P, --paramFile=paramfile
    Read energy parameters from paramfile, instead of using the default parameter set.

    A sample parameter file should accompany your distribution. See the RNAlib documentation for details on the file format.

-v, --verbose
    print verbose output

    (default=off)

-s, --subopts=DOUBLE
    print suboptimal structures whose energy difference of the pseudoknot to the optimum pseudoknot is smaller than the given value.

    (default=`0.0')

    NOTE: The final energy of a structure is calculated as the sum of the pseudoknot interaction energy, the penalty for initiating a pseudoknot and the energy of the pseudoknot-free part of the structure. The -s option only takes the pseudoknot interaction energy into account, so the final energy differences may be bigger than the specified value (default=0.).

REFERENCES
If you use this program in your work you might want to cite: R. Lorenz, S.H. Bernhart, C. Hoener zu Siederdissen, H. Tafer, C. Flamm, P.F. Stadler and I.L. Hofacker (2011), "ViennaRNA Package 2.0", Algorithms for Molecular Biology: 6:26 I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994), "Fast Folding and Comparison of RNA Secondary Structures", Monatshefte f. Chemie: 125, pp 167-188 R. Lorenz, I.L. Hofacker, P.F. Stadler (2016), "RNA folding with hard and soft constraints", Algorithms for Molecular Biology 11:1 pp 1-13 The energy parameters are taken from: D.H. Mathews, M.D. Disney, D. Matthew, J.L. Childs, S.J. Schroeder, J. Susan, M. Zuker, D.H. Turner (2004), "Incorporating chemical modification constraints into a dynamic programming algorithm for prediction of RNA secondary structure", Proc. Natl. Acad. Sci. USA: 101, pp 7287-7292 D.H Turner, D.H. Mathews (2009), "NNDB: The nearest neighbor parameter database for predicting stability of nucleic acid secondary structure", Nucleic Acids Research: 38, pp 280-282

AUTHOR
Wolfgang Beyer

REPORTING BUGS
If in doubt our program is right, nature is at fault. Comments should be sent to rna@tbi.univie.ac.at.